Subject: Offline Message from Joseph Peaslee: I purchased a swagtron T6 I believe it w
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Thu, 07 Jul 2022 23:47:22 -0000

From: Joseph Peaslee <[email-masked]>
Phone: 2073137236
Location: Gardiner, United States
URL: https://swagtron.com/product-category/hoverboard/
Department: SwagTron

I purchased a swagtron T6 I believe it was in 2021. I was riding it and was stuck from behind by a car. On side of road. Seriously hurt. I'm trying to get a copy of my receipt to have it purchased/replaced by the driver of the car. When I was taken by ambulance the officer said it was still under vehicle. I'm assuming it was destroyed because I did NOT get it returned to me. Since she was at fault I need proof of my purchase. Is there a way you can look up receipt and send me a copy to my email. The address it was shipped to was Joseph Peaslee 131 S Mountain Rd Jefferson Me 04348

----
Zopim
https://www.zopim.com